	//----------NonInvestigateTable_Assessment开始----------
    
	using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
//using System.Data.Entity.ModelConfiguration;
using Ewide.NbzsZheliban.Entity;
using System.Runtime.Serialization;
	namespace Ewide.NbzsZheliban.Entity
	{	
        /// <summary>
        /// 数据表实体类：NonInvestigateTable_Assessment 
        /// </summary>
		[Table("NonInvestigateTable_Assessment")]
        public partial class NonInvestigateTable_Assessment: BaseEntity        {    
		                    /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
				[Key]
								[Column("ID")]   
				[DataMember]  
			    public Guid ID  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("ProjectId")]   
				[DataMember]  
			    public Guid? ProjectId  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("ProjectName")]   
				[DataMember]  
			    public string ProjectName  {get;set;}   
                                /// <summary>
                /// 非住宅调查表ID
                /// </summary>    
				
				[Display(Name="非住宅调查表ID")]   
								[Column("NonInvestigateTableID")]   
				[DataMember]  
			    public Guid NonInvestigateTableID  {get;set;}   
                                /// <summary>
                /// 房屋评估价值
                /// </summary>    
				
				[Display(Name="房屋评估价值")]   
								[Column("HousingAssessmentValue")]   
				[DataMember]  
			    public decimal? HousingAssessmentValue  {get;set;}   
                                /// <summary>
                /// 装修评估价值
                /// </summary>    
				
				[Display(Name="装修评估价值")]   
								[Column("DecorateAssessedValue")]   
				[DataMember]  
			    public decimal? DecorateAssessedValue  {get;set;}   
                                /// <summary>
                /// 附属物评估价值
                /// </summary>    
				
				[Display(Name="附属物评估价值")]   
								[Column("AttachedAssessedValue")]   
				[DataMember]  
			    public decimal? AttachedAssessedValue  {get;set;}   
                                /// <summary>
                /// 总价
                /// </summary>    
				
				[Display(Name="总价")]   
								[Column("countValue")]   
				[DataMember]  
			    public decimal? countValue  {get;set;}   
                                /// <summary>
                /// 评估人员
                /// </summary>    
				
				[Display(Name="评估人员")]   
								[Column("EstimatorsUserId")]   
				[DataMember]  
			    public Guid? EstimatorsUserId  {get;set;}   
                                /// <summary>
                /// 评估报告编号
                /// </summary>    
				
				[Display(Name="评估报告编号")]   
								[Column("AssessmentNo")]   
				[DataMember]  
			    public string AssessmentNo  {get;set;}   
                                /// <summary>
                /// 评估时间
                /// </summary>    
				
				[Display(Name="评估时间")]   
								[Column("EstimatorsDate")]   
				[DataMember]  
			    public DateTime? EstimatorsDate  {get;set;}   
                                /// <summary>
                /// 是否最终
                /// </summary>    
				
				[Display(Name="是否最终")]   
								[Column("IsFinal")]   
				[DataMember]  
			    public int IsFinal  {get;set;}   
                                /// <summary>
                /// 是否备案
                /// </summary>    
				
				[Display(Name="是否备案")]   
								[Column("IsInRecord")]   
				[DataMember]  
			    public int? IsInRecord  {get;set;}   
                                /// <summary>
                /// 备案时间
                /// </summary>    
				
				[Display(Name="备案时间")]   
								[Column("InRecordTime")]   
				[DataMember]  
			    public DateTime? InRecordTime  {get;set;}   
                                /// <summary>
                /// 备案人ID
                /// </summary>    
				
				[Display(Name="备案人ID")]   
								[Column("InRecordUserId")]   
				[DataMember]  
			    public Guid? InRecordUserId  {get;set;}   
                                /// <summary>
                /// 备案人
                /// </summary>    
				
				[Display(Name="备案人")]   
								[Column("InRecordUserName")]   
				[DataMember]  
			    public string InRecordUserName  {get;set;}   
                                /// <summary>
                /// 是否公开，是否公示
                /// </summary>    
				
				[Display(Name="是否公开，是否公示")]   
								[Column("IsPublic")]   
				[DataMember]  
			    public int? IsPublic  {get;set;}   
                                /// <summary>
                /// 公开时间，公示时间
                /// </summary>    
				
				[Display(Name="公开时间，公示时间")]   
								[Column("PublicTime")]   
				[DataMember]  
			    public DateTime? PublicTime  {get;set;}   
                                /// <summary>
                /// 公开人ID
                /// </summary>    
				
				[Display(Name="公开人ID")]   
								[Column("PublicUserId")]   
				[DataMember]  
			    public Guid? PublicUserId  {get;set;}   
                                /// <summary>
                /// 公开人
                /// </summary>    
				
				[Display(Name="公开人")]   
								[Column("PublicUserName")]   
				[DataMember]  
			    public string PublicUserName  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("CreateUserName")]   
				[DataMember]  
			    public string CreateUserName  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("UpdateTime")]   
				[DataMember]  
			    public DateTime? UpdateTime  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("UpdateUserId")]   
				[DataMember]  
			    public Guid? UpdateUserId  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("UpdateUserName")]   
				[DataMember]  
			    public string UpdateUserName  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Remark")]   
				[DataMember]  
			    public string Remark  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Files")]   
				[DataMember]  
			    public string Files  {get;set;}   
                                /// <summary>
                /// 房屋类型名字
                /// </summary>    
				
				[Display(Name="房屋类型名字")]   
								[Column("HousingTypeName")]   
				[DataMember]  
			    public string HousingTypeName  {get;set;}   
                                /// <summary>
                /// 房屋类型价值
                /// </summary>    
				
				[Display(Name="房屋类型价值")]   
								[Column("HousingTypeValue")]   
				[DataMember]  
			    public string HousingTypeValue  {get;set;}   
                                /// <summary>
                /// 超容积率土地补偿费
                /// </summary>    
				
				[Display(Name="超容积率土地补偿费")]   
								[Column("ExceedLandMoney")]   
				[DataMember]  
			    public decimal? ExceedLandMoney  {get;set;}   
                                /// <summary>
                /// 超容积率土地
                /// </summary>    
				
				[Display(Name="超容积率土地")]   
								[Column("ExceedLand")]   
				[DataMember]  
			    public decimal? ExceedLand  {get;set;}   
                                /// <summary>
                /// 评估方法：0-直接金额录入 1-普通报告录入
                /// </summary>    
				
				[Display(Name="评估方法：0-直接金额录入 1-普通报告录入")]   
								[Column("ValuationMethod")]   
				[DataMember]  
			    public int ValuationMethod  {get;set;}   
                                /// <summary>
                /// 评估项目状态：0-未使用 1-初审 2-二审 3-终审
                /// </summary>    
				
				[Display(Name="评估项目状态：0-未使用 1-初审 2-二审 3-终审")]   
								[Column("ValuationStatus")]   
				[DataMember]  
			    public int ValuationStatus  {get;set;}   
                 
		  }

		  /**
            /// <summary>
            /// 数据表实体类Map：NonInvestigateTable_Assessment 
            /// </summary>
            public class NonInvestigateTable_AssessmentMap : EntityTypeConfiguration<NonInvestigateTable_Assessment>
			{
                public NonInvestigateTable_AssessmentMap()
                {
					this.ToTable("NonInvestigateTable_Assessment");
												this.HasKey(t => t.ID);
													 this.Property(t => t.ProjectId).HasColumnName("ProjectId");
													 this.Property(t => t.ProjectName).HasColumnName("ProjectName");
													 this.Property(t => t.NonInvestigateTableID).HasColumnName("NonInvestigateTableID").IsRequired();
													 this.Property(t => t.HousingAssessmentValue).HasColumnName("HousingAssessmentValue");
													 this.Property(t => t.DecorateAssessedValue).HasColumnName("DecorateAssessedValue");
													 this.Property(t => t.AttachedAssessedValue).HasColumnName("AttachedAssessedValue");
													 this.Property(t => t.countValue).HasColumnName("countValue");
													 this.Property(t => t.EstimatorsUserId).HasColumnName("EstimatorsUserId");
													 this.Property(t => t.AssessmentNo).HasColumnName("AssessmentNo");
													 this.Property(t => t.EstimatorsDate).HasColumnName("EstimatorsDate");
													 this.Property(t => t.IsFinal).HasColumnName("IsFinal").IsRequired();
													 this.Property(t => t.IsInRecord).HasColumnName("IsInRecord");
													 this.Property(t => t.InRecordTime).HasColumnName("InRecordTime");
													 this.Property(t => t.InRecordUserId).HasColumnName("InRecordUserId");
													 this.Property(t => t.InRecordUserName).HasColumnName("InRecordUserName");
													 this.Property(t => t.IsPublic).HasColumnName("IsPublic");
													 this.Property(t => t.PublicTime).HasColumnName("PublicTime");
													 this.Property(t => t.PublicUserId).HasColumnName("PublicUserId");
													 this.Property(t => t.PublicUserName).HasColumnName("PublicUserName");
													 this.Property(t => t.CreateTime).HasColumnName("CreateTime");
													 this.Property(t => t.CreateUserId).HasColumnName("CreateUserId");
													 this.Property(t => t.CreateUserName).HasColumnName("CreateUserName");
													 this.Property(t => t.UpdateTime).HasColumnName("UpdateTime");
													 this.Property(t => t.UpdateUserId).HasColumnName("UpdateUserId");
													 this.Property(t => t.UpdateUserName).HasColumnName("UpdateUserName");
													 this.Property(t => t.Remark).HasColumnName("Remark");
													 this.Property(t => t.Files).HasColumnName("Files");
													 this.Property(t => t.HousingTypeName).HasColumnName("HousingTypeName");
													 this.Property(t => t.HousingTypeValue).HasColumnName("HousingTypeValue");
													 this.Property(t => t.ExceedLandMoney).HasColumnName("ExceedLandMoney");
													 this.Property(t => t.ExceedLand).HasColumnName("ExceedLand");
													 this.Property(t => t.ValuationMethod).HasColumnName("ValuationMethod").IsRequired();
													 this.Property(t => t.ValuationStatus).HasColumnName("ValuationStatus").IsRequired();
										}
			}**/

	}

	//----------NonInvestigateTable_Assessment结束----------

	